summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog3
-rwxr-xr-xscripts/cpp21
-rw-r--r--sunrpc/Makefile3
3 files changed, 25 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index f38bfa2ec1..2540cbdb04 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,8 @@
2001-11-01 Ulrich Drepper <drepper@redhat.com>
+ * sunrpc/Makefile (rpcgen-cmd): Use ../scripts/cpp in rpcgen calls.
+ * scripts/cpp: New file.
+
* elf/dl-load.c (_dl_map_object): Correct test of DF_1_NODEFLIB
for rtld_search_dirs content. Minor optimizations.
diff --git a/scripts/cpp b/scripts/cpp
new file mode 100755
index 0000000000..4a62f1e5ae
--- /dev/null
+++ b/scripts/cpp
@@ -0,0 +1,21 @@
+#! /bin/sh
+cpp=`which cpp 2>/dev/null`
+if test $? -ne 0; then
+ cpp=`type cpp 2>/dev/null | awk '{ print $NF }'`
+ if test $? -ne 0; then
+ cpp=`gcc -print-file-name=cpp 2>/dev/null`
+ if test $? -ne 0; then
+ if test -x /lib/cpp; then
+ cpp=/lib/cpp
+ else
+ echo "cpp not found" 1>&2
+ exit 1
+ fi
+ fi
+ fi
+fi
+
+exec $cpp $*
+Local Variables:
+mode: sh
+End:
diff --git a/sunrpc/Makefile b/sunrpc/Makefile
index c1bf945271..b7858d6c89 100644
--- a/sunrpc/Makefile
+++ b/sunrpc/Makefile
@@ -126,8 +126,7 @@ $(objpfx)rpcgen: $(addprefix $(objpfx),$(rpcgen-objs)) \
$(+link)
# Tell rpcgen where to find the C preprocessor.
-rpcgen-cmd = $(built-program-cmd) -Y `$(CC) -print-file-name=cpp | \
- sed 's|/cpp$$||'`
+rpcgen-cmd = $(built-program-cmd) -Y ../scripts
# Install the rpc data base file.
$(inst_sysconfdir)/rpc: etc.rpc $(+force)